PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package terminals
  Definition Classes
    serverobject
-  object OrderTerminalDefinition
  Definition Classes
    terminals
- ArmorPage
- ArmorWithAmmoPage
- CertificationPage
- EquipmentPage
- ImplantPage
- InfantryLoadoutPage
- LoadoutTab
- Tab
- VehicleLoadoutPage
- VehiclePage

c

net.psforever.objects.serverobject.terminals.OrderTerminalDefinition

# VehicleLoadoutPage

###

#### final case class VehicleLoadoutPage() extends LoadoutTab with Product with Serializable

The tab used to select which custom loadout the player's vehicle is using. Vehicle loadouts are defined by a (superfluous) redefinition of the vehicle's mounted weapons and equipment in the trunk. In this case, the reference to the player that is a parameter of the functions maintains information about the loadouts; no extra information specific to this page is necessary. If a vehicle type (by definition) is considered excluded, the whole loadout is blocked. If any of the vehicle's inventory is considered excluded, only those items will be filtered.

Source
  OrderTerminalDefinition.scala
See also

  `Equipment`

  `Loadout`

  `VehicleLoadout`

Linear Supertypes
Serializable, Product, Equals, LoadoutTab, Tab, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleLoadoutPage
2. Serializable
3. Product
4. Equals
5. LoadoutTab
6. Tab
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new VehicleLoadoutPage()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Buy(player: Player, msg: ItemTransactionMessage): Exchange
   Definition Classes
     VehicleLoadoutPage → Tab
5.  def Dispatch(sender: ActorRef, terminal: Terminal, msg: TerminalMessage): Unit
   Definition Classes
     VehicleLoadoutPage → Tab
6.  def Exclude: Seq[Any]
   Definition Classes
     LoadoutTab
7.  def Exclude_=(equipmentList: Seq[Any]): Seq[Any]
   Definition Classes
     LoadoutTab
8.  def Exclude_=(equipment: Any): Seq[Any]
   Definition Classes
     LoadoutTab
9.  def Sell(player: Player, msg: ItemTransactionMessage): Exchange
   Definition Classes
     Tab
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  def productElementNames: Iterator[String]
    Definition Classes
      Product
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from LoadoutTab

### Inherited from Tab

### Inherited from AnyRef

### Inherited from Any

### Ungrouped